Skip to main content

KYC

Get Cardholder KYC

This API checks a cardholder's KYC status and lets them complete verification.

{{baseUrl}}/hashdt/issuing/api/v1/kyc

Description

This API retrieves the current KYC status for a cardholder and allows them to check on and complete their KYC verification. If KYC is still pending, the response includes a document submission link, the cardholder can use to perform KYC.

📩 Request Headers

x-api-key string required

Shared X-API key

x-product-id string required

Shared Product ID

x-cardholderHash-id string required

Unique identifier of the cardholder

x-client-id string

Client identification key

x-request-id string required

Idempotency key for request tracking

Content-Type string required

Must be application/json

Authorization string

Bearer access token

Request Example

curl --location --request GET \
--url '{{baseUrl}}/hashdt/issuing/api/v1/kyc' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholderHash-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'

Response Example

{
"status": "success",
"message": "Fetching KYC details successfully!",
"code": 200,
"data": [
{
"kycStatus": "COMPLETED",
"kycLink": "",
"documentType": "E_KYC",
"complianceStatus": "COMPLETED",
"email": ""
}
]
}

Get RFI Details

This API allows you to retrieves the RFI details for a cardholder in the system.

{{baseUrl}}/hashdt/issuing/api/v1/kyc/rfi

Description

Retrieves the RFI (Request for Information) details for a cardholder within the system. This API allows the cardholder to view all requested and submitted information, helping monitor compliance and maintain accurate records.

📩 Request Headers

x-api-key string required

Shared X-API key

x-product-id string required

Shared Product ID

x-cardholderHash-id string required

Unique identifier of the cardholder

x-client-id string

Client identification key

x-request-id string required

Idempotency key for request tracking

Content-Type string required

Must be application/json

Authorization string

Bearer access token

Request Example

curl --location --request GET \
--url '{{baseUrl}}/hashdt/issuing/api/v1/kyc/rfi' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholderHash-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'

Response Example

{
"status": "success",
"message": "Fetching KYC details successfully!",
"code": 200,
"data": [
{
"services_declined_codes": {
"address": [
"SPDR31",
"SPDR27",
"SPDR24",
"SPDR75",
"SPDR23",
"SPDR30"
],
"document": [
"SPDR14"
]
},
"declined_reason": "Issue date on the address document doesn't match"
}
]
}

Respond to RFI

This API is used to respond to an RFI (Request for Information) raised for a specific cardholder.

{{baseUrl}}/hashdt/issuing/api/v1/kyc/rfi/respond

Description

This API returns a link for the cardholder to submit documents or additional details in response to an RFI (Request for Information) raised during KYC verification. It helps ensure timely resolution of RFI cases and maintains compliance with verification requirements.

📩 Request Headers

x-api-key string required

Shared X-API key

x-product-id string required

Shared Product ID

x-cardholderHash-id string required

Unique identifier of the cardholder

x-client-id string

Client identification key

x-request-id string required

Idempotency key for request tracking

Content-Type string required

Must be application/json

Authorization string

Bearer access token

Request Example

curl --location --request GET \
--url '{{baseUrl}}/hashdt/issuing/api/v1/kyc/rfi/respond' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholderHash-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}'

Response Example

{
"status": "success",
"message": "Fetching KYC details successfully!",
"code": 200,
"data": [
{
"kycStatus": "PENDING",
"kycLink": "kyc-link",
"documentType": "E_KYC",
"complianceStatus": "IN_PROGRESS",
"email": ""
}
]
}